﻿//
// Copyright (c) 2010-2018 Antmicro
//
//  This file is licensed under the MIT License.
//  Full license text is available in 'licenses/MIT.txt'.
//
namespace Antmicro.Renode.Peripherals.Miscellaneous.SiLabs
{
    public enum DeviceFamily : byte
    {
        EFR32MG1P = 16, //EFR32 Mighty Gecko Family Series 1 Device Config 1
        EFR32MG1B = 17, //EFR32 Mighty Gecko Family Series 1 Device Config 1
        EFR32MG1V = 18, //EFR32 Mighty Gecko Family Series 1 Device Config 1
        EFR32BG1P = 19, //EFR32 Blue Gecko Family Series 1 Device Config 1
        EFR32BG1B = 20, //EFR32 Blue Gecko Family Series 1 Device Config 1
        EFR32BG1V = 21, //EFR32 Blue Gecko Family Series 1 Device Config 1
        EFR32FG1P = 25, //EFR32 Flex Gecko Family Series 1 Device Config 1
        EFR32FG1B = 26, //EFR32 Flex Gecko Family Series 1 Device Config 1
        EFR32FG1V = 27, //EFR32 Flex Gecko Family Series 1 Device Config 1
        EFR32MG12P = 28, //EFR32 Mighty Gecko Family Series 1 Device Config 2
        EFR32MG12B = 29, //EFR32 Mighty Gecko Family Series 1 Device Config 2
        EFR32MG12V = 30, //EFR32 Mighty Gecko Family Series 1 Device Config 2
        EFR32BG12P = 31, //EFR32 Blue Gecko Family Series 1 Device Config 2
        EFR32BG12B = 32, //EFR32 Blue Gecko Family Series 1 Device Config 2
        EFR32BG12V = 33, //EFR32 Blue Gecko Family Series 1 Device Config 2
        EFR32FG12P = 37, //EFR32 Flex Gecko Family Series 1 Device Config 2
        EFR32FG12B = 38, //EFR32 Flex Gecko Family Series 1 Device Config 2
        EFR32FG12V = 39, //EFR32 Flex Gecko Family Series 1 Device Config 2
        EFR32MG13P = 40, //EFR32 Mighty Gecko Family Series 1 Device Config 3
        EFR32MG13B = 41, //EFR32 Mighty Gecko Family Series 1 Device Config 3
        EFR32MG13V = 42, //EFR32 Mighty Gecko Family Series 1 Device Config 3
        EFR32BG13P = 43, //EFR32 Blue Gecko Family Series 1 Device Config 3
        EFR32BG13B = 44, //EFR32 Blue Gecko Family Series 1 Device Config 3
        EFR32BG13V = 45, //EFR32 Blue Gecko Family Series 1 Device Config 3
        EFR32FG13P = 49, //EFR32 Flex Gecko Family Series 1 Device Config 3
        EFR32FG13B = 50, //EFR32 Flex Gecko Family Series 1 Device Config 3
        EFR32FG13V = 51, //EFR32 Flex Gecko Family Series 1 Device Config 3
        EFR32MG14P = 52, //EFR32 Mighty Gecko Family Series 1 Device Config 4
        EFR32MG14B = 53, //EFR32 Mighty Gecko Family Series 1 Device Config 4
        EFR32MG14V = 54, //EFR32 Mighty Gecko Family Series 1 Device Config 4
        EFR32BG14P = 55, //EFR32 Blue Gecko Family Series 1 Device Config 4
        EFR32BG14B = 56, //EFR32 Blue Gecko Family Series 1 Device Config 4
        EFR32BG14V = 57, //EFR32 Blue Gecko Family Series 1 Device Config 4
        EFR32FG14P = 61, //EFR32 Flex Gecko Family Series 1 Device Config 4
        EFR32FG14B = 62, //EFR32 Flex Gecko Family Series 1 Device Config 4
        EFR32FG14V = 63, //EFR32 Flex Gecko Family Series 1 Device Config 4
        EFM32G = 71, //EFM32 Gecko Device Family
        EFM32GG = 72, //EFM32 Giant Gecko Device Family
        EFM32TG = 73, //EFM32 Tiny Gecko Device Family
        EFM32LG = 74, //EFM32 Leopard Gecko Device Family
        EFM32WG = 75, //EFM32 Wonder Gecko Device Family
        EFM32ZG = 76, //EFM32 Zero Gecko Device Family
        EFM32HG = 77, //EFM32 Happy Gecko Device Family
        EFM32PG1B = 81, //EFM32 Pearl Gecko Family Series 1 Device Config 1
        EFM32JG1B = 83, //EFM32 Jade Gecko Family Series 1 Device Config 1
        EFM32PG12B = 85, //EFM32 Pearl Gecko Family Series 1 Device Config 2
        EFM32JG12B = 87, //EFM32 Jade Gecko Family Series 1 Device Config 2
        EFM32GG11B = 100, //EFM32 Giant Gecko Family Series 1 Device Config 1
        EFM32TG11B = 103, //EFM32 Tiny Gecko Family Series 1 Device Config 1
        EZR32LG = 120, //EZR32 Leopard Gecko Device Family
        EZR32WG = 121, //EZR32 Wonder Gecko Device Family
        EZR32HG = 122, //EZR32 Happy Gecko Device Family
    }
}